October 2019 Java Platform Standard Edition Vulnerabilities in NetApp Products

Summary

Multiple NetApp products incorporate the Oracle Java Platform, Standard Edition (Java SE) software libraries. Java SE (JDK and JRE) versions through 7u231, 8u221, 11.0.4 and 13 and Java SE Embedded 8u221 are susceptible to multiple vulnerabilities that could lead to a partial denial of service (DoS) of Java, or to the unauthorized reading or modification of a subset or all of the data accessible to the Java process.

Impact

Successful exploitation of these vulnerabilities could lead to a partial Denial of Service (DoS) of Java, or to the unauthorized reading or modification of a subset or all of the data accessible to the Java process.

Vulnerability Scoring Details

CVE Score Vector
CVE-2019-11068 5.6 (MEDIUM) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
CVE-2019-2894 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:N
CVE-2019-2933 3.1 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:N/A:N
CVE-2019-2945 3.1 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:N/A:L
CVE-2019-2949 6.8 (MEDIUM) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:H/I:N/A:N
CVE-2019-2958 5.9 (MEDIUM) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N
CVE-2019-2962 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2964 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2973 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2975 4.8 (MEDIUM) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:L/A:L
CVE-2019-2977 4.8 (MEDIUM) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:N/A:L
CVE-2019-2978 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2981 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2983 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2987 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2988 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2989 6.8 (MEDIUM) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:C/C:N/I:H/A:N
CVE-2019-2992 3.7 (LOW) CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L
CVE-2019-2996 4.2 (MEDIUM) CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:N
CVE-2019-2999 4.7 (MEDIUM) CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:L/I:L/A:N

Exploitation and Public Announcements

NetApp is aware of public discussion of this vulnerability.

References

Affected Products

  • Active IQ Unified Manager (formerly OnCommand Unified Manager) for VMware vSphere 9.5 and above
  • Active IQ Unified Manager (formerly OnCommand Unified Manager) for Windows 7.3 and above
  • E-Series SANtricity Management Plug-ins (VMware vCenter)
  • E-Series SANtricity OS Controller Software 11.x
  • E-Series SANtricity Storage Manager
  • E-Series SANtricity Web Services (REST API) for Web Services Proxy
  • Element Software (formerly SolidFire Element OS)
  • Element Software Management Node
  • OnCommand Workflow Automation
  • SANtricity Unified Manager
  • SnapManager for Oracle
  • SnapManager for SAP

Products Under Investigation

  • 7-Mode Transition Tool
  • Brocade SAN Navigator (SANnav)
  • Cloud Volumes ONTAP
  • NetApp Cloud Backup (formerly AltaVault)
  • NetApp HCI Baseboard Management Controller (BMC)
  • NetApp Plug-in for Symantec NetBackup
  • NetApp SolidFire Plug-in for vRealize Orchestrator (SolidFire vRO)
  • NetApp SteelStore Cloud Integrated Storage
  • OnCommand Cloud Manager
  • OnCommand Insight
  • OnCommand Unified Manager for 7-Mode (core package)
  • SolidFire Storage Replication Adapter

Products Not Affected

  • AFF Baseboard Management Controller (BMC) - A700s
  • ATTO FibreBridge
  • Active IQ Performance Analytics Services
  • Active IQ Unified Manager (formerly OnCommand Unified Manager) for Linux 7.3 and above
  • Active IQ mobile app
  • Brocade Fabric Operating System Firmware
  • Brocade Network Advisor Software
  • Cloud Insights Telegraf Agent
  • Clustered Data ONTAP
  • Clustered Data ONTAP Antivirus Connector
  • Data ONTAP operating in 7-Mode
  • Element HealthTools
  • Element System Firmware
  • Element plug-in for vCenter Server (formerly VCP)
  • FAS/AFF Baseboard Management Controller (BMC)
  • FAS/AFF System Firmware
  • Host Utilities - SAN for Unix and Linux
  • Host Utilities - SAN for Windows
  • MetroCluster Tiebreaker for clustered Data ONTAP
  • NetApp Cloud Backup OST Plug-in (formerly AltaVault OST Plug-in)
  • NetApp Converged Systems Advisor
  • NetApp Data Availability Services
  • NetApp Data Broker
  • NetApp E-Series Performance Analyzer
  • NetApp HCI Baseboard Management Controller (BMC) - H300/H500/H700
  • NetApp HCI Compute Nodes
  • NetApp HCI Storage Nodes
  • NetApp HCI System Firmware
  • NetApp Manageability SDK
  • NetApp NFS Plug-in for VMware VAAI
  • NetApp SANtricity Cloud Connector
  • NetApp SANtricity SMI-S Provider
  • NetApp SMI-S Provider
  • NetApp Service Level Manager
  • NetApp SolidFire Baseboard Management Controller (BMC)
  • NetApp Storage Encryption
  • NetApp VASA Provider for Clustered Data ONTAP 7.2 and above
  • ONTAP Select Deploy administration utility
  • OnCommand API Services
  • OnCommand System Manager 3.x
  • OnCommand System Manager 9.x
  • Open Systems SnapVault Agent
  • RAID Controller CTS2600 Legacy Engenio
  • SAS Firmware
  • Service Processor
  • Single Mailbox Recovery
  • Snap Creator Framework
  • SnapCenter
  • SnapDrive for Unix
  • SnapDrive for Windows
  • SnapManager for Exchange
  • SnapManager for Hyper-V
  • SnapManager for MS SQL
  • SnapManager for Sharepoint
  • SolidFire VSS Provider
  • Storage Replication Adapter for Clustered Data ONTAP for VMware vSphere 7.2 and above
  • Storage Replication Adapter for Clustered Data ONTAP for Windows 7.2 and above
  • Storage Services Connector
  • StorageGRID (formerly StorageGRID Webscale)
  • StorageGRID Baseboard Management Controller (BMC)
  • StorageGRID Webscale NAS Bridge
  • StorageGRID9 (9.x and prior)
  • System Setup
  • Trident
  • Virtual Storage Console for VMware vSphere 7.2 and above

Software Versions and Fixes

None.

This section will be updated as patches are released.

Workarounds

If a product requires JRE but does not include it, please update JRE to a fixed version that aligns with the product requirements.

Beginning with OnCommand Workflow Automation for Linux & Windows 4.2, OnCommand Unified Manager for Linux & Windows 7.2, NetApp Service Level Manager 1.0, and OnCommand API Services 1.2 the Java software libraries can be upgraded as specified in the product documentation. For assistance with the upgrade, please consult technical support.

Obtaining Software Fixes

Software fixes will be made available through the NetApp Support website in the Software Download section.

https://mysupport.netapp.com/NOW/cgi-bin/software/

https://mysupport.netapp.com/products/index.html

Customers who do not have access to the Support website should contact Technical Support at the number below to obtain the patches.

Contact Information

Check http://mysupport.netapp.com for further updates.
For questions, contact NetApp at:

Technical Support
mysupport.netapp.com
1 888 4 NETAPP (1 888 463 8277) (U.S. and Canada)
+00 800 44 638277 (EMEA/Europe)
+800 800 80 800 (Asia/Pacific)

Status of This Notice

Interim.

NetApp will continue to update this advisory as additional information becomes available.

This advisory should be considered the single source of current, up-to-date, authorized and accurate information from NetApp.

This advisory is posted at the following link:
https://security.netapp.com/advisory/NTAP-20191017-0001

Revision History

Revision # Date Comments
1.0 20191017 Initial Public Release
2.0 20191018 StorageGRID (formerly StorageGRID Webscale), StorageGRID9 (9.x and prior) moved to Products Not Affected and OnCommand Workflow Automation moved to Affected Products
3.0 20191022 Active IQ Unified Manager (formerly OnCommand Unified Manager) for VMware vSphere 9.5 and above, Active IQ Unified Manager (formerly OnCommand Unified Manager) for Windows 7.3 and above moved to Affected Products and NetApp VASA Provider for Clustered Data ONTAP 7.2 and above, Virtual Storage Console for VMware vSphere 7.2 and above and Storage Replication Adapter for Clustered Data ONTAP for VMware vSphere 7.2 and above moved to Products Not Affected
4.0 20191025 StorageGRID Webscale NAS Bridge moved to Products Not Affected
5.0 20191030 NetApp Data Availability Services, NetApp E-Series Performance Analyzer moved to Products Not Affected and E-Series SANtricity Management Plug-ins (VMware vCenter) moved to Affected Products
6.0 20191112 Element Software (formerly SolidFire Element OS) and Element Software Management Node moved to Affected Products
7.0 20191120 NetApp Data Broker moved to Products Not Affected

This document is provided solely for informational purposes. All information is based upon NetApp’s current knowledge and understanding of the hardware and software products tested by NetApp, and the methodology and assumptions used by NetApp. NetApp is not responsible for any errors or omissions that may be contained herein, and no warranty, representation, or other legal commitment or obligation is being provided by NetApp. © 2017 NetApp, Inc. All rights reserved. No portions of this document may be reproduced without prior written consent of NetApp, Inc.